Bug 463493 - Firefox Crash [Segmentation Fault] Unexpectedly
Firefox Crash [Segmentation Fault] Unexpectedly
Status: CLOSED DUPLICATE of bug 466786
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
9
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-23 14:15 EDT by Ví­ctor Daniel
Modified: 2008-10-29 06:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-29 06:31:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ví­ctor Daniel 2008-09-23 14:15:27 EDT
Description of problem:
Firefox Crash [Segmentation Fault] Unexpectedly

Version-Release number of selected component (if applicable):
firefox-3.0.1-1.fc9.i386
firefox-debuginfo-3.0.1-1.fc9.i386
libflashsupport-000-0.5.svn20070904.i386
libflashsupport-debuginfo-000-0.5.svn20070904.i386
xulrunner-debuginfo-1.9.0.1-1.fc9.i386
xulrunner-1.9.0.1-1.fc9.i386


How reproducible:
Use Firefox normally


Steps to Reproduce:
1. Open Firefox
2. Use
3. Crash [The pages open not have flash content, not is a flash issue]
  
Actual results:
Segmentation Fault

Expected results:
Continue Running

Additional info:

Full GDB BackTrace

$ gdb /usr/lib/firefox-3.0.1/firefox firefox-22864-1222158483.core
GNU gdb Fedora (6.8-21.fc9)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...

warning: Can't read pathname for load map: Input/output error.
Missing separate debuginfo for /home/vdmo/.local/lib/gtk-2.0/2.10.0/engines/libmurrine.so
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/0f/6236c7ff34e4dd56642273f80e696242bb50c7
Reading symbols from /lib/libpthread-2.8.so...Reading symbols from /usr/lib/debug/lib/libpthread-2.8.so.debug...done.
done.
Loaded symbols for /lib/libpthread-2.8.so
Reading symbols from /lib/libdl-2.8.so...Reading symbols from /usr/lib/debug/lib/libdl-2.8.so.debug...done.
done.
Loaded symbols for /lib/libdl-2.8.so
Reading symbols from /usr/lib/libstdc++.so.6.0.10...Reading symbols from /usr/lib/debug/usr/lib/libstdc++.so.6.0.10.debug...done.
done.
Loaded symbols for /usr/lib/libstdc++.so.6.0.10
Reading symbols from /lib/libm-2.8.so...Reading symbols from /usr/lib/debug/lib/libm-2.8.so.debug...done.
done.
Loaded symbols for /lib/libm-2.8.so
Reading symbols from /lib/libgcc_s-4.3.0-20080428.so.1...Reading symbols from /usr/lib/debug/lib/libgcc_s-4.3.0-20080428.so.1.debug...done.
done.
Loaded symbols for /lib/libgcc_s-4.3.0-20080428.so.1
Reading symbols from /lib/libc-2.8.so...Reading symbols from /usr/lib/debug/lib/libc-2.8.so.debug...done.
done.
Loaded symbols for /lib/libc-2.8.so
Reading symbols from /lib/ld-2.8.so...Reading symbols from /usr/lib/debug/lib/ld-2.8.so.debug...done.
done.
Loaded symbols for /lib/ld-2.8.so
Reading symbols from /usr/lib/xulrunner-1.9/libmozjs.so...Reading symbols from /usr/lib/debug/usr/lib/xulrunner-1.9/libmozjs.so.debug...done.
done.
Loaded symbols for /usr/lib/xulrunner-1.9/libmozjs.so
Reading symbols from /lib/libplds4.so...Reading symbols from /usr/lib/debug/lib/libplds4.so.debug...done.
done.
Loaded symbols for /lib/libplds4.so
Reading symbols from /lib/libplc4.so...Reading symbols from /usr/lib/debug/lib/libplc4.so.debug...done.
done.
Loaded symbols for /lib/libplc4.so
Reading symbols from /lib/libnspr4.so...Reading symbols from /usr/lib/debug/lib/libnspr4.so.debug...done.
done.
Loaded symbols for /lib/libnspr4.so
Reading symbols from /usr/lib/xulrunner-1.9/libxul.so...Reading symbols from /usr/lib/debug/usr/lib/xulrunner-1.9/libxul.so.debug...done.
done.
Loaded symbols for /usr/lib/xulrunner-1.9/libxul.so
Reading symbols from /usr/lib/libsqlite3.so.0.8.6...Reading symbols from /usr/lib/debug/usr/lib/libsqlite3.so.0.8.6.debug...done.
done.
Loaded symbols for /usr/lib/libsqlite3.so.0.8.6
Reading symbols from /usr/lib/libjpeg.so.62.0.0...Reading symbols from /usr/lib/debug/usr/lib/libjpeg.so.62.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libjpeg.so.62.0.0
Reading symbols from /usr/lib/liblcms.so.1.0.16...Reading symbols from /usr/lib/debug/usr/lib/liblcms.so.1.0.16.debug...done.
done.
Loaded symbols for /usr/lib/liblcms.so.1.0.16
Reading symbols from /lib/libssl3.so...Reading symbols from /usr/lib/debug/lib/libssl3.so.debug...done.
done.
Loaded symbols for /lib/libssl3.so
Reading symbols from /lib/libsmime3.so...Reading symbols from /usr/lib/debug/lib/libsmime3.so.debug...done.
done.
Loaded symbols for /lib/libsmime3.so
Reading symbols from /lib/libnss3.so...Reading symbols from /usr/lib/debug/lib/libnss3.so.debug...done.
done.
Loaded symbols for /lib/libnss3.so
Reading symbols from /lib/libnssutil3.so...Reading symbols from /usr/lib/debug/lib/libnssutil3.so.debug...done.
done.
Loaded symbols for /lib/libnssutil3.so
Reading symbols from /lib/libz.so.1.2.3...Reading symbols from /usr/lib/debug/lib/libz.so.1.2.3.debug...done.
done.
Loaded symbols for /lib/libz.so.1.2.3
Reading symbols from /usr/lib/libhunspell.so.1.0.1...Reading symbols from /usr/lib/debug/usr/lib/libhunspell.so.1.0.1.debug...done.
done.
Loaded symbols for /usr/lib/libhunspell.so.1.0.1
Reading symbols from /usr/lib/libpangocairo-1.0.so.0.2000.4...Reading symbols from /usr/lib/debug/usr/lib/libpangocairo-1.0.so.0.2000.4.debug...done.
done.
Loaded symbols for /usr/lib/libpangocairo-1.0.so.0.2000.4
Reading symbols from /usr/lib/libcairo.so.2.17.5...Reading symbols from /usr/lib/debug/usr/lib/libcairo.so.2.17.5.debug...done.
done.
Loaded symbols for /usr/lib/libcairo.so.2.17.5
Reading symbols from /usr/lib/libpangoft2-1.0.so.0.2000.4...Reading symbols from /usr/lib/debug/usr/lib/libpangoft2-1.0.so.0.2000.4.debug...done.
done.
Loaded symbols for /usr/lib/libpangoft2-1.0.so.0.2000.4
Reading symbols from /usr/lib/libpango-1.0.so.0.2000.4...Reading symbols from /usr/lib/debug/usr/lib/libpango-1.0.so.0.2000.4.debug...done.
done.
Loaded symbols for /usr/lib/libpango-1.0.so.0.2000.4
Reading symbols from /usr/lib/libfreetype.so.6.3.16...Reading symbols from /usr/lib/debug/usr/lib/libfreetype.so.6.3.16.debug...done.
done.
Loaded symbols for /usr/lib/libfreetype.so.6.3.16
Reading symbols from /usr/lib/libfontconfig.so.1.3.0...Reading symbols from /usr/lib/debug/usr/lib/libfontconfig.so.1.3.0.debug...done.
done.
Loaded symbols for /usr/lib/libfontconfig.so.1.3.0
Reading symbols from /lib/libgobject-2.0.so.0.1600.5...Reading symbols from /usr/lib/debug/lib/libgobject-2.0.so.0.1600.5.debug...done.
done.
Loaded symbols for /lib/libgobject-2.0.so.0.1600.5
Reading symbols from /lib/libgmodule-2.0.so.0.1600.5...Reading symbols from /usr/lib/debug/lib/libgmodule-2.0.so.0.1600.5.debug...done.
done.
Loaded symbols for /lib/libgmodule-2.0.so.0.1600.5
Reading symbols from /lib/libglib-2.0.so.0.1600.5...Reading symbols from /usr/lib/debug/lib/libglib-2.0.so.0.1600.5.debug...done.
done.
Loaded symbols for /lib/libglib-2.0.so.0.1600.5
Reading symbols from /usr/lib/libXrender.so.1.3.0...Reading symbols from /usr/lib/debug/usr/lib/libXrender.so.1.3.0.debug...done.
done.
Loaded symbols for /usr/lib/libXrender.so.1.3.0
Reading symbols from /usr/lib/libX11.so.6.2.0...Reading symbols from /usr/lib/debug/usr/lib/libX11.so.6.2.0.debug...done.
done.
Loaded symbols for /usr/lib/libX11.so.6.2.0
Reading symbols from /usr/lib/libXft.so.2.1.2...Reading symbols from /usr/lib/debug/usr/lib/libXft.so.2.1.2.debug...done.
done.
Loaded symbols for /usr/lib/libXft.so.2.1.2
Reading symbols from /usr/lib/libgtk-x11-2.0.so.0.1200.11...Reading symbols from /usr/lib/debug/usr/lib/libgtk-x11-2.0.so.0.1200.11.debug...done.
done.
Loaded symbols for /usr/lib/libgtk-x11-2.0.so.0.1200.11
Reading symbols from /usr/lib/libatk-1.0.so.0.2209.1...Reading symbols from /usr/lib/debug/usr/lib/libatk-1.0.so.0.2209.1.debug...done.
done.
Loaded symbols for /usr/lib/libatk-1.0.so.0.2209.1
Reading symbols from /usr/lib/libgdk-x11-2.0.so.0.1200.11...Reading symbols from /usr/lib/debug/usr/lib/libgdk-x11-2.0.so.0.1200.11.debug...done.
done.
Loaded symbols for /usr/lib/libgdk-x11-2.0.so.0.1200.11
Reading symbols from /usr/lib/libgdk_pixbuf-2.0.so.0.1200.11...Reading symbols from /usr/lib/debug/usr/lib/libgdk_pixbuf-2.0.so.0.1200.11.debug...done.
done.
Loaded symbols for /usr/lib/libgdk_pixbuf-2.0.so.0.1200.11
Reading symbols from /usr/lib/libXt.so.6.0.0...Reading symbols from /usr/lib/debug/usr/lib/libXt.so.6.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libXt.so.6.0.0
Reading symbols from /lib/libgthread-2.0.so.0.1600.5...Reading symbols from /usr/lib/debug/lib/libgthread-2.0.so.0.1600.5.debug...done.
done.
Loaded symbols for /lib/libgthread-2.0.so.0.1600.5
Reading symbols from /usr/lib/libstartup-notification-1.so.0.0.0...Reading symbols from /usr/lib/debug/usr/lib/libstartup-notification-1.so.0.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libstartup-notification-1.so.0.0.0
Reading symbols from /usr/lib/libpng12.so.0.29.0...Reading symbols from /usr/lib/debug/usr/lib/libpng12.so.0.29.0.debug...done.
done.
Loaded symbols for /usr/lib/libpng12.so.0.29.0
Reading symbols from /usr/lib/libpixman-1.so.0.10.0...Reading symbols from /usr/lib/debug/usr/lib/libpixman-1.so.0.10.0.debug...done.
done.
Loaded symbols for /usr/lib/libpixman-1.so.0.10.0
Reading symbols from /lib/libexpat.so.1.5.2...Reading symbols from /usr/lib/debug/lib/libexpat.so.1.5.2.debug...done.
done.
Loaded symbols for /lib/libexpat.so.1.5.2
Reading symbols from /lib/libselinux.so.1...Reading symbols from /usr/lib/debug/lib/libselinux.so.1.debug...done.
done.
Loaded symbols for /lib/libselinux.so.1
Reading symbols from /usr/lib/libxcb-xlib.so.0.0.0...Reading symbols from /usr/lib/debug/usr/lib/libxcb-xlib.so.0.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Reading symbols from /usr/lib/libxcb.so.1.0.0...Reading symbols from /usr/lib/debug/usr/lib/libxcb.so.1.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libxcb.so.1.0.0
Reading symbols from /usr/lib/libXcomposite.so.1.0.0...Reading symbols from /usr/lib/debug/usr/lib/libXcomposite.so.1.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libXcomposite.so.1.0.0
Reading symbols from /usr/lib/libXfixes.so.3.1.0...Reading symbols from /usr/lib/debug/usr/lib/libXfixes.so.3.1.0.debug...done.
done.
Loaded symbols for /usr/lib/libXfixes.so.3.1.0
Reading symbols from /usr/lib/libXext.so.6.4.0...Reading symbols from /usr/lib/debug/usr/lib/libXext.so.6.4.0.debug...done.
done.
Loaded symbols for /usr/lib/libXext.so.6.4.0
Reading symbols from /usr/lib/libXinerama.so.1.0.0...Reading symbols from /usr/lib/debug/usr/lib/libXinerama.so.1.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libXinerama.so.1.0.0
Reading symbols from /usr/lib/libXi.so.6.0.0...Reading symbols from /usr/lib/debug/usr/lib/libXi.so.6.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libXi.so.6.0.0
Reading symbols from /usr/lib/libXrandr.so.2.1.0...Reading symbols from /usr/lib/debug/usr/lib/libXrandr.so.2.1.0.debug...done.
done.
Loaded symbols for /usr/lib/libXrandr.so.2.1.0
Reading symbols from /usr/lib/libXcursor.so.1.0.2...Reading symbols from /usr/lib/debug/usr/lib/libXcursor.so.1.0.2.debug...done.
done.
Loaded symbols for /usr/lib/libXcursor.so.1.0.2
Reading symbols from /usr/lib/libSM.so.6.0.0...Reading symbols from /usr/lib/debug/usr/lib/libSM.so.6.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libSM.so.6.0.0
Reading symbols from /usr/lib/libICE.so.6.3.0...Reading symbols from /usr/lib/debug/usr/lib/libICE.so.6.3.0.debug...done.
done.
Loaded symbols for /usr/lib/libICE.so.6.3.0
Reading symbols from /lib/librt-2.8.so...Reading symbols from /usr/lib/debug/lib/librt-2.8.so.debug...done.
done.
Loaded symbols for /lib/librt-2.8.so
Reading symbols from /usr/lib/libXau.so.6.0.0...Reading symbols from /usr/lib/debug/usr/lib/libXau.so.6.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libXau.so.6.0.0
Reading symbols from /usr/lib/libXdmcp.so.6.0.0...Reading symbols from /usr/lib/debug/usr/lib/libXdmcp.so.6.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libXdmcp.so.6.0.0
Reading symbols from /lib/libuuid.so.1.2...Reading symbols from /usr/lib/debug/lib/libuuid.so.1.2.debug...done.
done.
Loaded symbols for /lib/libuuid.so.1.2
Reading symbols from /usr/lib/xulrunner-1.9/libxpcom.so...Reading symbols from /usr/lib/debug/usr/lib/xulrunner-1.9/libxpcom.so.debug...done.
done.
Loaded symbols for /usr/lib/xulrunner-1.9/libxpcom.so
Reading symbols from /lib/libnss_files-2.8.so...Reading symbols from /usr/lib/debug/lib/libnss_files-2.8.so.debug...done.
done.
Loaded symbols for /lib/libnss_files-2.8.so
Reading symbols from /usr/lib/libgnomeui-2.so.0.2201.0...Reading symbols from /usr/lib/debug/usr/lib/libgnomeui-2.so.0.2201.0.debug...done.
done.
Loaded symbols for /usr/lib/libgnomeui-2.so.0.2201.0
Reading symbols from /usr/lib/libxml2.so.2.7.1...Reading symbols from /usr/lib/debug/usr/lib/libxml2.so.2.7.1.debug...done.
done.
Loaded symbols for /usr/lib/libxml2.so.2.7.1
Reading symbols from /usr/lib/libbonoboui-2.so.0.0.0...Reading symbols from /usr/lib/debug/usr/lib/libbonoboui-2.so.0.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libbonoboui-2.so.0.0.0
Reading symbols from /usr/lib/libgnomecanvas-2.so.0.2001.0...Reading symbols from /usr/lib/debug/usr/lib/libgnomecanvas-2.so.0.2001.0.debug...done.
done.
Loaded symbols for /usr/lib/libgnomecanvas-2.so.0.2001.0
Reading symbols from /usr/lib/libgnome-2.so.0.2200.0...Reading symbols from /usr/lib/debug/usr/lib/libgnome-2.so.0.2200.0.debug...done.
done.
Loaded symbols for /usr/lib/libgnome-2.so.0.2200.0
Reading symbols from /usr/lib/libart_lgpl_2.so.2.3.20...Reading symbols from /usr/lib/debug/usr/lib/libart_lgpl_2.so.2.3.20.debug...done.
done.
Loaded symbols for /usr/lib/libart_lgpl_2.so.2.3.20
Reading symbols from /usr/lib/libbonobo-2.so.0.0.0...Reading symbols from /usr/lib/debug/usr/lib/libbonobo-2.so.0.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libbonobo-2.so.0.0.0
Reading symbols from /usr/lib/libbonobo-activation.so.4.0.0...Reading symbols from /usr/lib/debug/usr/lib/libbonobo-activation.so.4.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libbonobo-activation.so.4.0.0
Reading symbols from /usr/lib/libORBit-2.so.0.1.0...Reading symbols from /usr/lib/debug/usr/lib/libORBit-2.so.0.1.0.debug...done.
done.
Loaded symbols for /usr/lib/libORBit-2.so.0.1.0
Reading symbols from /lib/libgio-2.0.so.0.0.0...Reading symbols from /usr/lib/debug/lib/libgio-2.0.so.0.0.0.debug...done.
done.
Loaded symbols for /lib/libgio-2.0.so.0.0.0
Reading symbols from /usr/lib/libgnomevfs-2.so.0.2200.0...Reading symbols from /usr/lib/debug/usr/lib/libgnomevfs-2.so.0.2200.0.debug...done.
done.
Loaded symbols for /usr/lib/libgnomevfs-2.so.0.2200.0
Reading symbols from /usr/lib/libgconf-2.so.4.1.5...Reading symbols from /usr/lib/debug/usr/lib/libgconf-2.so.4.1.5.debug...done.
done.
Loaded symbols for /usr/lib/libgconf-2.so.4.1.5
Reading symbols from /usr/lib/libgnome-keyring.so.0.1.1...Reading symbols from /usr/lib/debug/usr/lib/libgnome-keyring.so.0.1.1.debug...done.
done.
Loaded symbols for /usr/lib/libgnome-keyring.so.0.1.1
Reading symbols from /lib/libpopt.so.0.0.0...Reading symbols from /usr/lib/debug/lib/libpopt.so.0.0.0.debug...done.
done.
Loaded symbols for /lib/libpopt.so.0.0.0
Reading symbols from /usr/lib/libgailutil.so.18.0.1...Reading symbols from /usr/lib/debug/usr/lib/libgailutil.so.18.0.1.debug...done.
done.
Loaded symbols for /usr/lib/libgailutil.so.18.0.1
Reading symbols from /usr/lib/libesd.so.0.2.38...Reading symbols from /usr/lib/debug/usr/lib/libesd.so.0.2.38.debug...done.
done.
Loaded symbols for /usr/lib/libesd.so.0.2.38
Reading symbols from /usr/lib/libaudiofile.so.0.0.2...Reading symbols from /usr/lib/debug/usr/lib/libaudiofile.so.0.0.2.debug...done.
done.
Loaded symbols for /usr/lib/libaudiofile.so.0.0.2
Reading symbols from /usr/lib/libORBitCosNaming-2.so.0.1.0...Reading symbols from /usr/lib/debug/usr/lib/libORBitCosNaming-2.so.0.1.0.debug...done.
done.
Loaded symbols for /usr/lib/libORBitCosNaming-2.so.0.1.0
Reading symbols from /usr/lib/libdbus-glib-1.so.2.1.0...Reading symbols from /usr/lib/debug/usr/lib/libdbus-glib-1.so.2.1.0.debug...done.
done.
Loaded symbols for /usr/lib/libdbus-glib-1.so.2.1.0
Reading symbols from /lib/libdbus-1.so.3.4.0...Reading symbols from /usr/lib/debug/lib/libdbus-1.so.3.4.0.debug...done.
done.
Loaded symbols for /lib/libdbus-1.so.3.4.0
Reading symbols from /lib/libssl.so.0.9.8g...Reading symbols from /usr/lib/debug/lib/libssl.so.0.9.8g.debug...done.
done.
Loaded symbols for /lib/libssl.so.0.9.8g
Reading symbols from /lib/libcrypto.so.0.9.8g...Reading symbols from /usr/lib/debug/lib/libcrypto.so.0.9.8g.debug...done.
done.
Loaded symbols for /lib/libcrypto.so.0.9.8g
Reading symbols from /usr/lib/libavahi-glib.so.1.0.1...Reading symbols from /usr/lib/debug/usr/lib/libavahi-glib.so.1.0.1.debug...done.
done.
Loaded symbols for /usr/lib/libavahi-glib.so.1.0.1
Reading symbols from /usr/lib/libavahi-common.so.3.5.0...Reading symbols from /usr/lib/debug/usr/lib/libavahi-common.so.3.5.0.debug...done.
done.
Loaded symbols for /usr/lib/libavahi-common.so.3.5.0
Reading symbols from /usr/lib/libavahi-client.so.3.2.4...Reading symbols from /usr/lib/debug/usr/lib/libavahi-client.so.3.2.4.debug...done.
done.
Loaded symbols for /usr/lib/libavahi-client.so.3.2.4
Reading symbols from /lib/libresolv-2.8.so...Reading symbols from /usr/lib/debug/lib/libresolv-2.8.so.debug...done.
done.
Loaded symbols for /lib/libresolv-2.8.so
Reading symbols from /lib/libutil-2.8.so...Reading symbols from /usr/lib/debug/lib/libutil-2.8.so.debug...done.
done.
Loaded symbols for /lib/libutil-2.8.so
Reading symbols from /lib/libasound.so.2.0.0...Reading symbols from /usr/lib/debug/lib/libasound.so.2.0.0.debug...done.
done.
Loaded symbols for /lib/libasound.so.2.0.0
Reading symbols from /lib/libnsl-2.8.so...Reading symbols from /usr/lib/debug/lib/libnsl-2.8.so.debug...done.
done.
Loaded symbols for /lib/libnsl-2.8.so
Reading symbols from /lib/libcap.so.2.06...Reading symbols from /usr/lib/debug/lib/libcap.so.2.06.debug...done.
done.
Loaded symbols for /lib/libcap.so.2.06
Reading symbols from /usr/lib/libgssapi_krb5.so.2.2...Reading symbols from /usr/lib/debug/usr/lib/libgssapi_krb5.so.2.2.debug...done.
done.
Loaded symbols for /usr/lib/libgssapi_krb5.so.2.2
Reading symbols from /usr/lib/libkrb5.so.3.3...Reading symbols from /usr/lib/debug/usr/lib/libkrb5.so.3.3.debug...done.
done.
Loaded symbols for /usr/lib/libkrb5.so.3.3
Reading symbols from /lib/libcom_err.so.2.1...Reading symbols from /usr/lib/debug/lib/libcom_err.so.2.1.debug...done.
done.
Loaded symbols for /lib/libcom_err.so.2.1
Reading symbols from /usr/lib/libk5crypto.so.3.1...Reading symbols from /usr/lib/debug/usr/lib/libk5crypto.so.3.1.debug...done.
done.
Loaded symbols for /usr/lib/libk5crypto.so.3.1
Reading symbols from /usr/lib/libkrb5support.so.0.1...Reading symbols from /usr/lib/debug/usr/lib/libkrb5support.so.0.1.debug...done.
done.
Loaded symbols for /usr/lib/libkrb5support.so.0.1
Reading symbols from /lib/libkeyutils-1.2.so...Reading symbols from /usr/lib/debug/lib/libkeyutils-1.2.so.debug...done.
done.
Loaded symbols for /lib/libkeyutils-1.2.so
Reading symbols from /usr/lib/gconv/UTF-16.so...Reading symbols from /usr/lib/debug/usr/lib/gconv/UTF-16.so.debug...done.
done.
Loaded symbols for /usr/lib/gconv/UTF-16.so
Reading symbols from /usr/lib/firefox-3.0.1/components/libbrowserdirprovider.so...Reading symbols from /usr/lib/debug/usr/lib/firefox-3.0.1/components/libbrowserdirprovider.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-3.0.1/components/libbrowserdirprovider.so
Reading symbols from /usr/lib/xulrunner-1.9/components/libdbusservice.so...Reading symbols from /usr/lib/debug/usr/lib/xulrunner-1.9/components/libdbusservice.so.debug...done.
done.
Loaded symbols for /usr/lib/xulrunner-1.9/components/libdbusservice.so
Reading symbols from /home/vdmo/.local/lib/gtk-2.0/2.10.0/engines/libmurrine.so...done.
Loaded symbols for /home/vdmo/.local/lib/gtk-2.0/2.10.0/engines/libmurrine.so
Reading symbols from /usr/lib/libXss.so.1.0.0...Reading symbols from /usr/lib/debug/usr/lib/libXss.so.1.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libXss.so.1.0.0
Reading symbols from /lib/libsoftokn3.so...Reading symbols from /usr/lib/debug/lib/libsoftokn3.so.debug...done.
done.
Loaded symbols for /lib/libsoftokn3.so
Reading symbols from /lib/libnssdbm3.so...Reading symbols from /usr/lib/debug/lib/libnssdbm3.so.debug...done.
done.
Loaded symbols for /lib/libnssdbm3.so
Reading symbols from /lib/libfreebl3.so...Reading symbols from /usr/lib/debug/lib/libfreebl3.so.debug...done.
done.
Loaded symbols for /lib/libfreebl3.so
Reading symbols from /lib/libnssckbi.so...Reading symbols from /usr/lib/debug/lib/libnssckbi.so.debug...done.
done.
Loaded symbols for /lib/libnssckbi.so
Reading symbols from /usr/lib/firefox-3.0.1/components/libbrowsercomps.so...Reading symbols from /usr/lib/debug/usr/lib/firefox-3.0.1/components/libbrowsercomps.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-3.0.1/components/libbrowsercomps.so
Reading symbols from /usr/lib/xulrunner-1.9/components/libimgicon.so...Reading symbols from /usr/lib/debug/usr/lib/xulrunner-1.9/components/libimgicon.so.debug...done.
done.
Loaded symbols for /usr/lib/xulrunner-1.9/components/libimgicon.so
Reading symbols from /usr/lib/xulrunner-1.9/components/libmozgnome.so...Reading symbols from /usr/lib/debug/usr/lib/xulrunner-1.9/components/libmozgnome.so.debug...done.
done.
Loaded symbols for /usr/lib/xulrunner-1.9/components/libmozgnome.so
Reading symbols from /lib/libnss_dns-2.8.so...Reading symbols from /usr/lib/debug/lib/libnss_dns-2.8.so.debug...done.
done.
Loaded symbols for /lib/libnss_dns-2.8.so
Reading symbols from /usr/lib/firefox-3.0.1/components/libnkgnomevfs.so...Reading symbols from /usr/lib/debug/usr/lib/firefox-3.0.1/components/libnkgnomevfs.so.debug...done.
done.
Loaded symbols for /usr/lib/firefox-3.0.1/components/libnkgnomevfs.so
Reading symbols from /usr/lib/libflashsupport.so...Reading symbols from /usr/lib/debug/usr/lib/libflashsupport.so.debug...done.
done.
Loaded symbols for /usr/lib/libflashsupport.so
Reading symbols from /usr/lib/libpulse.so.0.4.1...Reading symbols from /usr/lib/debug/usr/lib/libpulse.so.0.4.1.debug...done.
done.
Loaded symbols for /usr/lib/libpulse.so.0.4.1
Reading symbols from /usr/lib/pango/1.6.0/modules/pango-hebrew-fc.so...Reading symbols from /usr/lib/debug/usr/lib/pango/1.6.0/modules/pango-hebrew-fc.so.debug...done.
done.
Loaded symbols for /usr/lib/pango/1.6.0/modules/pango-hebrew-fc.so
Reading symbols from /usr/lib/gnome-vfs-2.0/modules/libfile.so...Reading symbols from /usr/lib/debug/usr/lib/gnome-vfs-2.0/modules/libfile.so.debug...done.
done.
Loaded symbols for /usr/lib/gnome-vfs-2.0/modules/libfile.so
Reading symbols from /lib/libattr.so.1.1.0...Reading symbols from /usr/lib/debug/lib/libattr.so.1.1.0.debug...done.
done.
Loaded symbols for /lib/libattr.so.1.1.0
Reading symbols from /lib/libacl.so.1.1.0...Reading symbols from /usr/lib/debug/lib/libacl.so.1.1.0.debug...done.
done.
Loaded symbols for /lib/libacl.so.1.1.0
Reading symbols from /usr/lib/libfam.so.0.0.0...Reading symbols from /usr/lib/debug/usr/lib/libfam.so.0.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libfam.so.0.0.0
Reading symbols from /usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.so...Reading symbols from /usr/lib/debug/usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.so.debug...done.
done.
Loaded symbols for /usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.so
Reading symbols from /usr/lib/librsvg-2.so.2.22.2...Reading symbols from /usr/lib/debug/usr/lib/librsvg-2.so.2.22.2.debug...done.
done.
Loaded symbols for /usr/lib/librsvg-2.so.2.22.2
Reading symbols from /usr/lib/libgsf-1.so.114.0.8...Reading symbols from /usr/lib/debug/usr/lib/libgsf-1.so.114.0.8.debug...done.
done.
Loaded symbols for /usr/lib/libgsf-1.so.114.0.8
Reading symbols from /usr/lib/libcroco-0.6.so.3.0.1...Reading symbols from /usr/lib/debug/usr/lib/libcroco-0.6.so.3.0.1.debug...done.
done.
Loaded symbols for /usr/lib/libcroco-0.6.so.3.0.1
Reading symbols from /lib/libbz2.so.1.0.4...Reading symbols from /usr/lib/debug/lib/libbz2.so.1.0.4.debug...done.
done.
Loaded symbols for /lib/libbz2.so.1.0.4
Reading symbols from /usr/lib/pango/1.6.0/modules/pango-indic-lang.so...Reading symbols from /usr/lib/debug/usr/lib/pango/1.6.0/modules/pango-indic-lang.so.debug...done.
done.
Loaded symbols for /usr/lib/pango/1.6.0/modules/pango-indic-lang.so
Reading symbols from /usr/lib/pango/1.6.0/modules/pango-indic-fc.so...Reading symbols from /usr/lib/debug/usr/lib/pango/1.6.0/modules/pango-indic-fc.so.debug...done.
done.
Loaded symbols for /usr/lib/pango/1.6.0/modules/pango-indic-fc.so
Reading symbols from /usr/lib/libtrackerclient.so.0.0.0...Reading symbols from /usr/lib/debug/usr/lib/libtrackerclient.so.0.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libtrackerclient.so.0.0.0
Reading symbols from /usr/lib/pango/1.6.0/modules/pango-arabic-lang.so...Reading symbols from /usr/lib/debug/usr/lib/pango/1.6.0/modules/pango-arabic-lang.so.debug...done.
done.
Loaded symbols for /usr/lib/pango/1.6.0/modules/pango-arabic-lang.so
Reading symbols from /usr/lib/pango/1.6.0/modules/pango-arabic-fc.so...Reading symbols from /usr/lib/debug/usr/lib/pango/1.6.0/modules/pango-arabic-fc.so.debug...done.
done.
Loaded symbols for /usr/lib/pango/1.6.0/modules/pango-arabic-fc.so
Reading symbols from /usr/lib/pango/1.6.0/modules/pango-hangul-fc.so...Reading symbols from /usr/lib/debug/usr/lib/pango/1.6.0/modules/pango-hangul-fc.so.debug...done.
done.
Loaded symbols for /usr/lib/pango/1.6.0/modules/pango-hangul-fc.so
Reading symbols from /usr/lib/pango/1.6.0/modules/pango-khmer-fc.so...Reading symbols from /usr/lib/debug/usr/lib/pango/1.6.0/modules/pango-khmer-fc.so.debug...done.
done.
Loaded symbols for /usr/lib/pango/1.6.0/modules/pango-khmer-fc.so
Reading symbols from /usr/lib/pango/1.6.0/modules/pango-thai-fc.so...Reading symbols from /usr/lib/debug/usr/lib/pango/1.6.0/modules/pango-thai-fc.so.debug...done.
done.
Loaded symbols for /usr/lib/pango/1.6.0/modules/pango-thai-fc.so
Reading symbols from /usr/lib/pango/1.6.0/modules/pango-thai-lang.so...Reading symbols from /usr/lib/debug/usr/lib/pango/1.6.0/modules/pango-thai-lang.so.debug...done.
done.
Loaded symbols for /usr/lib/pango/1.6.0/modules/pango-thai-lang.so
Reading symbols from /usr/lib/libthai.so.0.1.1...Reading symbols from /usr/lib/debug/usr/lib/libthai.so.0.1.1.debug...done.
done.
Loaded symbols for /usr/lib/libthai.so.0.1.1
Core was generated by `/usr/lib/firefox-3.0.1/firefox'.
Program terminated with signal 11, Segmentation fault.
[New process 22864]
[New process 23569]
[New process 22893]
[New process 22880]
[New process 22879]
[New process 22867]
[New process 22866]
[New process 22865]
#0  0x00110416 in __kernel_vsyscall ()
(gdb) thread apply all bt

Thread 8 (process 22865):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00bb4a57 in __poll (fds=<value optimized out>, nfds=<value optimized out>, 
    timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x044bbb34 in _pr_poll_with_poll (pds=<value optimized out>, npds=<value optimized out>, 
    timeout=<value optimized out>) at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:3895
#3  0x04f1ef59 in nsSocketTransportService::Poll (this=<value optimized out>, wait=<value optimized out>, 
    interval=Could not find the frame base for "nsSocketTransportService::Poll(int, unsigned int*)".
) at nsSocketTransportService2.cpp:349
#4  0x04f1f46e in nsSocketTransportService::DoPollIteration (this=<value optimized out>, 
    wait=<value optimized out>) at nsSocketTransportService2.cpp:644
#5  0x04f1f72a in nsSocketTransportService::OnProcessNextEvent (this=<value optimized out>, 
    thread=<value optimized out>, mayWait=<value optimized out>, depth=<value optimized out>)
    at nsSocketTransportService2.cpp:523
#6  0x056f1196 in nsThread::ProcessNextEvent (this=<value optimized out>, mayWait=<value optimized out>, 
    result=<value optimized out>) at nsThread.cpp:497
#7  0x056be188 in NS_ProcessNextEvent_P (thread=<value optimized out>, mayWait=<value optimized out>)
    at nsThreadUtils.cpp:227
#8  0x04f1f185 in nsSocketTransportService::Run (this=<value optimized out>)
    at nsSocketTransportService2.cpp:565
#9  0x056f11f2 in nsThread::ProcessNextEvent (this=<value optimized out>, mayWait=<value optimized out>, 
    result=<value optimized out>) at nsThread.cpp:510
#10 0x056be188 in NS_ProcessNextEvent_P (thread=<value optimized out>, mayWait=<value optimized out>)
    at nsThreadUtils.cpp:227
#11 0x056f1aa0 in nsThread::ThreadFunc (arg=<value optimized out>) at nsThread.cpp:254
#12 0x044bff51 in _pt_root (arg=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#13 0x00ca232f in start_thread (arg=<value optimized out>) at pthread_create.c:297
#14 0x00bbf20e in clone () from /lib/libc-2.8.so

Thread 7 (process 22866):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00ca5ed2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread-2.8.so
#2  0x044b8dbe in pt_TimedWait (cv=<value optimized out>, ml=<value optimized out>, timeout=Could not find the frame base for "pt_TimedWait".
)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:280
#3  0x044b9be0 in PR_WaitCondVar (cvar=<value optimized out>, timeout=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:407
#4  0x056f484a in TimerThread::Run (this=<value optimized out>) at TimerThread.cpp:345
#5  0x056f11f2 in nsThread::ProcessNextEvent (this=<value optimized out>, mayWait=<value optimized out>, 
    result=<value optimized out>) at nsThread.cpp:510
#6  0x056be188 in NS_ProcessNextEvent_P (thread=<value optimized out>, mayWait=<value optimized out>)
    at nsThreadUtils.cpp:227
#7  0x056f1aa0 in nsThread::ThreadFunc (arg=<value optimized out>) at nsThread.cpp:254
#8  0x044bff51 in _pt_root (arg=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#9  0x00ca232f in start_thread (arg=<value optimized out>) at pthread_create.c:297
#10 0x00bbf20e in clone () from /lib/libc-2.8.so

Thread 6 (process 22867):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00bb4a57 in __poll (fds=<value optimized out>, nfds=<value optimized out>, 
    timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x044bbb34 in _pr_poll_with_poll (pds=<value optimized out>, npds=<value optimized out>, 
    timeout=<value optimized out>) at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:3895
#3  0x044c2881 in WaitPidDaemonThread (unused=Could not find the frame base for "WaitPidDaemonThread".
) at ../../../../mozilla/nsprpub/pr/src/md/unix/uxproces.c:723
#4  0x044bff51 in _pt_root (arg=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#5  0x00ca232f in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x00bbf20e in clone () from /lib/libc-2.8.so

Thread 5 (process 22879):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00ca5ba5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread-2.8.so
#2  0x044b9c57 in PR_WaitCondVar (cvar=<value optimized out>, timeout=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:405
#3  0x0550bdcd in nsSSLThread::Run (this=<value optimized out>) at nsSSLThread.cpp:964
#4  0x0550b6e2 in nsPSMBackgroundThread::nsThreadRunner (arg=Could not find the frame base for "nsPSMBackgroundThread::nsThreadRunner(void*)".
) at nsPSMBackgroundThread.cpp:44
#5  0x044bff51 in _pt_root (arg=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#6  0x00ca232f in start_thread (arg=<value optimized out>) at pthread_create.c:297
#7  0x00bbf20e in clone () from /lib/libc-2.8.so

Thread 4 (process 22880):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00ca5ba5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread-2.8.so
#2  0x044b9c57 in PR_WaitCondVar (cvar=<value optimized out>, timeout=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:405
#3  0x0550cf3d in nsCertVerificationThread::Run (this=<value optimized out>)
    at nsCertVerificationThread.cpp:138
#4  0x0550b6e2 in nsPSMBackgroundThread::nsThreadRunner (arg=Could not find the frame base for "nsPSMBackgroundThread::nsThreadRunner(void*)".
) at nsPSMBackgroundThread.cpp:44
#5  0x044bff51 in _pt_root (arg=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#6  0x00ca232f in start_thread (arg=<value optimized out>) at pthread_create.c:297
#7  0x00bbf20e in clone () from /lib/libc-2.8.so

Thread 3 (process 22893):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00ca5ba5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread-2.8.so
#2  0x044b9c57 in PR_WaitCondVar (cvar=<value optimized out>, timeout=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:405
#3  0x044b9cd7 in PR_Wait (mon=Could not find the frame base for "PR_Wait".
) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:584
#4  0x056f031d in nsEventQueue::GetEvent (this=<value optimized out>, mayWait=<value optimized out>, 
    result=<value optimized out>) at ../../dist/include/xpcom/nsAutoLock.h:340
#5  0x056f11c8 in nsThread::ProcessNextEvent (this=<value optimized out>, mayWait=<value optimized out>, 
    result=<value optimized out>) at nsThread.h:112
#6  0x056be188 in NS_ProcessNextEvent_P (thread=<value optimized out>, mayWait=<value optimized out>)
    at nsThreadUtils.cpp:227
#7  0x056f1aa0 in nsThread::ThreadFunc (arg=<value optimized out>) at nsThread.cpp:254
#8  0x044bff51 in _pt_root (arg=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#9  0x00ca232f in start_thread (arg=<value optimized out>) at pthread_create.c:297
#10 0x00bbf20e in clone () from /lib/libc-2.8.so

Thread 2 (process 23569):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00ca5ed2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread-2.8.so
#2  0x044b8dbe in pt_TimedWait (cv=<value optimized out>, ml=<value optimized out>, timeout=Could not find the frame base for "pt_TimedWait".
)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:280
#3  0x044b9be0 in PR_WaitCondVar (cvar=<value optimized out>, timeout=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:407
#4  0x044b9cd7 in PR_Wait (mon=Could not find the frame base for "PR_Wait".
) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:584
#5  0x056f3337 in nsThreadPool::Run (this=<value optimized out>) at ../../dist/include/xpcom/nsAutoLock.h:340
#6  0x056f11f2 in nsThread::ProcessNextEvent (this=<value optimized out>, mayWait=<value optimized out>, 
    result=<value optimized out>) at nsThread.cpp:510
#7  0x056be188 in NS_ProcessNextEvent_P (thread=<value optimized out>, mayWait=<value optimized out>)
    at nsThreadUtils.cpp:227
#8  0x056f1aa0 in nsThread::ThreadFunc (arg=<value optimized out>) at nsThread.cpp:254
#9  0x044bff51 in _pt_root (arg=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#10 0x00ca232f in start_thread (arg=<value optimized out>) at pthread_create.c:297
#11 0x00bbf20e in clone () from /lib/libc-2.8.so

Thread 1 (process 22864):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00ca9ff0 in raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:42
#2  0x04ebf0d7 in nsProfileLock::FatalSignalHandler (signo=<value optimized out>) at nsProfileLock.cpp:212
#3  <signal handler called>
#4  0x056fd0d2 in canonicalize (in=<value optimized out>) at nsCycleCollector.cpp:1108
#5  0x056fd321 in GCGraphBuilder::NoteXPCOMChild (this=<value optimized out>, child=<value optimized out>)
    at nsCycleCollector.cpp:1394
#6  0x04ee562a in XPCWrappedNative::cycleCollection::Traverse (this=Could not find the frame base for "XPCWrappedNative::cycleCollection::Traverse(void*, nsCycleCollectionTraversalCallback&)".
) at xpcwrappednative.cpp:104
#7  0x056fca8a in GCGraphBuilder::Traverse (this=<value optimized out>, aPtrInfo=<value optimized out>)
    at nsCycleCollector.cpp:1319
#8  0x056fcaed in nsCycleCollector::MarkRoots (this=<value optimized out>, builder=<value optimized out>)
    at nsCycleCollector.cpp:1513
#9  0x056fd653 in nsCycleCollector::BeginCollection (this=<value optimized out>) at nsCycleCollector.cpp:2368
#10 0x056fd6ad in nsCycleCollector_beginCollection () at nsCycleCollector.cpp:2910
#11 0x04ec65ea in XPCCycleCollectGCCallback (cx=<value optimized out>, status=<value optimized out>)
    at nsXPConnect.cpp:440
#12 0x0456df59 in js_GC (cx=<value optimized out>, gckind=<value optimized out>) at jsgc.c:3239
#13 0x0454a7da in JS_GC (cx=<value optimized out>) at jsapi.c:2469
#14 0x04ec5712 in nsXPConnect::Collect (this=<value optimized out>) at nsXPConnect.cpp:529
#15 0x056fd7c1 in nsCycleCollector::Collect (this=<value optimized out>, 
    aTryCollections=<value optimized out>) at nsCycleCollector.cpp:2250
#16 0x056fd90c in nsCycleCollector_collect () at nsCycleCollector.cpp:2898
#17 0x052cce66 in nsJSContext::CC () at nsJSEnvironment.cpp:3346
#18 0x052cd30b in nsUserActivityObserver::Observe (this=<value optimized out>, aSubject=Could not find the frame base for "nsUserActivityObserver::Observe(nsISupports*, char const*, unsigned short const*)".
)
    at nsJSEnvironment.cpp:270
#19 0x056c85e5 in nsObserverList::NotifyObservers (this=<value optimized out>, 
    aSubject=<value optimized out>, aTopic=<value optimized out>, someData=<value optimized out>)
    at nsObserverList.cpp:128
#20 0x056c8956 in nsObserverService::NotifyObservers (this=<value optimized out>, aSubject=Could not find the frame base for "nsObserverService::NotifyObservers(nsISupports*, char const*, unsigned short const*)".
)
    at nsObserverService.cpp:181
#21 0x051dd534 in nsUITimerCallback::Notify (this=<value optimized out>, aTimer=<value optimized out>)
    at nsEventStateManager.cpp:210
#22 0x056f3cbe in nsTimerImpl::Fire (this=<value optimized out>) at nsTimerImpl.cpp:403
#23 0x056f3d43 in nsTimerEvent::Run (this=<value optimized out>) at nsTimerImpl.cpp:490
#24 0x056f11f2 in nsThread::ProcessNextEvent (this=<value optimized out>, mayWait=<value optimized out>, 
    result=<value optimized out>) at nsThread.cpp:510
#25 0x056be188 in NS_ProcessNextEvent_P (thread=<value optimized out>, mayWait=<value optimized out>)
    at nsThreadUtils.cpp:227
#26 0x056339e0 in nsBaseAppShell::Run (this=<value optimized out>) at nsBaseAppShell.cpp:170
#27 0x054e7ce8 in nsAppStartup::Run (this=<value optimized out>) at nsAppStartup.cpp:181
#28 0x04eb7d71 in XRE_main (argc=<value optimized out>, argv=<value optimized out>, 
    aAppData=<value optimized out>) at nsAppRunner.cpp:3170
#29 0x08049169 in main (argc=1, argv=0xbfd0ebd4) at nsXULStub.cpp:364
(gdb) thread apply all bt full

Thread 8 (process 22865):
#0  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00bb4a57 in __poll (fds=<value optimized out>, nfds=<value optimized out>, 
    timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
	resultvar = <value optimized out>
	oldtype = <value optimized out>
	result = <value optimized out>
#2  0x044bbb34 in _pr_poll_with_poll (pds=<value optimized out>, npds=<value optimized out>, 
    timeout=<value optimized out>) at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:3895
	stack_syspoll = Could not find the frame base for "_pr_poll_with_poll".

Thread 7 (process 22866):
#0  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00ca5ed2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread-2.8.so
No locals.
#2  0x044b8dbe in pt_TimedWait (cv=<value optimized out>, ml=<value optimized out>, timeout=Could not find the frame base for "pt_TimedWait".
)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:280
	rv = 949747
	now = Could not find the frame base for "pt_TimedWait".

Thread 6 (process 22867):
#0  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00bb4a57 in __poll (fds=<value optimized out>, nfds=<value optimized out>, 
    timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
	resultvar = <value optimized out>
	oldtype = <value optimized out>
	result = <value optimized out>
#2  0x044bbb34 in _pr_poll_with_poll (pds=<value optimized out>, npds=<value optimized out>, 
    timeout=<value optimized out>) at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:3895
	stack_syspoll = Could not find the frame base for "_pr_poll_with_poll".

Thread 5 (process 22879):
#0  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00ca5ba5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread-2.8.so
No locals.
#2  0x044b9c57 in PR_WaitCondVar (cvar=<value optimized out>, timeout=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:405
	rv = <value optimized out>
	thred = <value optimized out>
#3  0x0550bdcd in nsSSLThread::Run (this=<value optimized out>) at nsSSLThread.cpp:964
	threadLock = Could not find the frame base for "nsSSLThread::Run()".

Thread 4 (process 22880):
#0  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00ca5ba5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread-2.8.so
No locals.
#2  0x044b9c57 in PR_WaitCondVar (cvar=<value optimized out>, timeout=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:405
	rv = <value optimized out>
	thred = <value optimized out>
#3  0x0550cf3d in nsCertVerificationThread::Run (this=<value optimized out>)
    at nsCertVerificationThread.cpp:138
	threadLock = Could not find the frame base for "nsCertVerificationThread::Run()".

Thread 3 (process 22893):
#0  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00ca5ba5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread-2.8.so
No locals.
#2  0x044b9c57 in PR_WaitCondVar (cvar=<value optimized out>, timeout=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:405
	rv = <value optimized out>
	thred = <value optimized out>
#3  0x044b9cd7 in PR_Wait (mon=Could not find the frame base for "PR_Wait".
) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:584
	rv = -512
	saved_entries = <value optimized out>
	saved_owner = 3019385744
#4  0x056f031d in nsEventQueue::GetEvent (this=<value optimized out>, mayWait=<value optimized out>, 
    result=<value optimized out>) at ../../dist/include/xpcom/nsAutoLock.h:340
	mon = Could not find the frame base for "nsEventQueue::GetEvent(int, nsIRunnable**)".

Thread 2 (process 23569):
#0  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00ca5ed2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread-2.8.so
No locals.
#2  0x044b8dbe in pt_TimedWait (cv=<value optimized out>, ml=<value optimized out>, timeout=Could not find the frame base for "pt_TimedWait".
)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:280
	rv = 1415
	now = Could not find the frame base for "pt_TimedWait".

Thread 1 (process 22864):
#0  0x00110416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00ca9ff0 in raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:42
	resultvar = 11
#2  0x04ebf0d7 in nsProfileLock::FatalSignalHandler (signo=<value optimized out>) at nsProfileLock.cpp:212
	unblock_sigs = Could not find the frame base for "nsProfileLock::FatalSignalHandler(int)".
(gdb) quit
Comment 1 Matěj Cepl 2008-09-25 12:54:25 EDT
Could you please provide us with the URL where the crash happened? Do you have any other information which could help me to reproduce the crash here?
Comment 2 William Lovaton 2008-10-11 09:41:09 EDT
This is a "me too" comment.

I am using Rawhide with the latest updates and I get the following trace in gdb (without debuginfo, sorry):

Program received signal SIGSEGV, Segmentation fault.
[Switching to LWP 5512]
0x06d1c4db in __libc_res_nquery () from /lib/libresolv.so.2
(gdb) bt
#0  0x06d1c4db in __libc_res_nquery () from /lib/libresolv.so.2
#1  0x06d1cacb in ?? () from /lib/libresolv.so.2
#2  0x06d1ccc5 in __libc_res_nsearch () from /lib/libresolv.so.2
#3  0x014c9093 in _nss_dns_gethostbyname4_r () from /lib/libnss_dns.so.2
#4  0x003c2b73 in ?? () from /lib/libc.so.6
#5  0x003c4947 in getaddrinfo () from /lib/libc.so.6
#6  0x07fc55e9 in PR_GetAddrInfoByName () from /lib/libnspr4.so
#7  0x025d5606 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
#8  0x07fd3071 in ?? () from /lib/libnspr4.so
#9  0x0047e51f in ?? () from /lib/libpthread.so.0
#10 0x003df0de in clone () from /lib/libc.so.6

I hope this is the same bug as the one reported here.

I am trying to browse lwn.net (but it happens with lots of other pages too) and it crashes randomly everywhere, it's really hard to get far.
Comment 3 William Lovaton 2008-10-11 10:04:08 EDT
Ok, I got this other trace running firefox directly in the terminal (without gdb), I got it from my other laptop _before_ applying the latest Rawhide updates:

[william@willylaptop ~]$ /usr/lib/firefox-3.0.2/firefox 
*** glibc detected *** /usr/lib/firefox-3.0.2/firefox: free(): invalid pointer: 0xb679a86a ***
======= Backtrace: =========
/lib/libc.so.6[0x9315a4]
/lib/libc.so.6(cfree+0x96)[0x933556]
/lib/libglib-2.0.so.0(g_free+0x36)[0x5a4746]
/usr/lib/gtk-2.0/modules/libgnomebreakpad.so[0x23d53a]
/usr/lib/gtk-2.0/modules/libgnomebreakpad.so[0x23d6e5]
/usr/lib/xulrunner-1.9/libxul.so[0x3d0acf1]
[0x110400]
/lib/libresolv.so.2(__libc_res_nquery+0x1db)[0x65564db]
/lib/libresolv.so.2[0x6556acb]
/lib/libresolv.so.2(__libc_res_nsearch+0x105)[0x6556cc5]
/lib/libnss_dns.so.2(_nss_dns_gethostbyname4_r+0xd3)[0x848093]
/lib/libc.so.6[0x989b73]
/lib/libc.so.6(getaddrinfo+0x1b7)[0x98b947]
/lib/libnspr4.so(PR_GetAddrInfoByName+0x129)[0x357c5e9]
/usr/lib/xulrunner-1.9/libxul.so[0x3d75606]
/lib/libnspr4.so[0x358a071]
/lib/libpthread.so.0[0xa7051f]
/lib/libc.so.6(clone+0x5e)[0x9a60de]
======= Memory map: ========
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00111000-001a0000 r-xp 00000000 fd:00 426108     /usr/lib/libfreetype.so.6.3.18
001a0000-001a4000 rw-p 0008e000 fd:00 426108     /usr/lib/libfreetype.so.6.3.18
001a4000-001af000 r-xp 00000000 fd:00 20012      /lib/libnss_files-2.8.90.so
001af000-001b0000 r--p 0000a000 fd:00 20012      /lib/libnss_files-2.8.90.so
001b0000-001b1000 rw-p 0000b000 fd:00 20012      /lib/libnss_files-2.8.90.so
001b1000-001b5000 r-xp 00000000 fd:00 25818      /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
001b5000-001b6000 rw-p 00003000 fd:00 25818      /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
001b6000-001ba000 r-xp 00000000 fd:00 426776     /usr/lib/libORBitCosNaming-2.so.0.1.0
001ba000-001bb000 rw-p 00004000 fd:00 426776     /usr/lib/libORBitCosNaming-2.so.0.1.0
001bb000-001bf000 r-xp 00000000 fd:00 17413      /lib/libcap.so.2.10
001bf000-001c0000 rw-p 00003000 fd:00 17413      /lib/libcap.so.2.10
001c0000-001ee000 r-xp 00000000 fd:00 426179     /usr/lib/libfontconfig.so.1.3.0
001ee000-001ef000 rw-p 0002e000 fd:00 426179     /usr/lib/libfontconfig.so.1.3.0
001ef000-00216000 r-xp 00000000 fd:00 426142     /usr/lib/libpng12.so.0.31.0
00216000-00217000 rw-p 00026000 fd:00 426142     /usr/lib/libpng12.so.0.31.0
00217000-00225000 r-xp 00000000 fd:00 426517     /usr/lib/libcanberra.so.0.1.3
00225000-00226000 rw-p 0000e000 fd:00 426517     /usr/lib/libcanberra.so.0.1.3
00226000-00238000 r-xp 00000000 fd:00 21729      /usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so
00238000-00239000 rw-p 00011000 fd:00 21729      /usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so
00239000-00247000 r-xp 00000000 fd:00 25828      /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
00247000-00248000 rw-p 0000d000 fd:00 25828      /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
00249000-00256000 r-xp 00000000 fd:00 20320      /lib/libgcc_s-4.3.2-20080917.so.1
00256000-00257000 rw-p 0000c000 fd:00 20320      /lib/libgcc_s-4.3.2-20080917.so.1
00257000-00274000 r-xp 00000000 fd:00 426226     /usr/lib/libvorbis.so.0.4.0
00274000-00282000 rw-p 0001d000 fd:00 426226     /usr/lib/libvorbis.so.0.4.0
00282000-002d2000 r-xp 00000000 fd:00 122910     /usr/lib/bug-buddy/libbreakpad.so.0.0.0
002d2000-002d3000 rw-p 00050000 fd:00 122910     /usr/lib/bug-buddy/libbreakpad.so.0.0.0
002d3000-002d5000 r-xp 00000000 fd:00 18629      /lib/libcom_err.so.2.1
002d5000-002d6000 rw-p 00001000 fd:00 18629      /lib/libcom_err.so.2.1
002d6000-002d8000 r-xp 00000000 fd:00 10493      /usr/lib/gconv/UTF-16.so
002d8000-002d9000 r--p 00002000 fd:00 10493      /usr/lib/gconv/UTF-16.so
002d9000-002da000 rw-p 00003000 fd:00 10493      /usr/lib/gconv/UTF-16.so
002db000-0034c000 r-xp 00000000 fd:00 18619      /lib/libgio-2.0.so.0.1800.1
0034c000-0034e000 rw-p 00071000 fd:00 18619      /lib/libgio-2.0.so.0.1800.1
0034e000-00363000 r-xp 00000000 fd:00 426726     /usr/lib/libelf-0.137.so
00363000-00364000 r--p 00014000 fd:00 426726     /usr/lib/libelf-0.137.so
00364000-00365000 rw-p 00015000 fd:00 426726     /usr/lib/libelf-0.137.so
00365000-00379000 r-xp 00000000 fd:00 426589     /usr/lib/libgnome-2.so.0.2400.1
00379000-0037a000 rw-p 00013000 fd:00 426589     /usr/lib/libgnome-2.so.0.2400.1
0037a000-003ca000 r-xpMultiple segmentation faults occurred; can't display error dialog


This is from having 3 tabs open:

tab 1: https://bugzilla.redhat.com/buglist.cgi?bug_status=NEW&bug_status=ASSIGNED&bug_status=MODIFIED&bug_status=ON_QA&bug_status=VERIFIED&classification=Fedora&component=firefox&field-1-0-0=bug_status&field-1-1-0=classification&field-1-2-0=component&field-1-3-0=product&product=Fedora&query_format=advanced&remaction=&type-1-0-0=anyexact&type-1-1-0=anyexact&type-1-2-0=anyexact&type-1-3-0=anyexact&value-1-0-0=NEW%2CASSIGNED%2CMODIFIED%2CON_QA%2CVERIFIED&value-1-1-0=Fedora&value-1-2-0=firefox&value-1-3-0=Fedora&order=bugs.bug_id desc&query_based_on=

tab 2: https://bugzilla.redhat.com/show_bug.cgi?id=463493

tab 3: http://osnews.com/

It crashed while loading the third tab.
Comment 4 William Lovaton 2008-10-12 23:51:42 EDT
Ok, as requested in bug #465141 I posted a full backtrace with debugingo packages installed:
https://bugzilla.redhat.com/show_bug.cgi?id=465141#c2

What is going on? this bug is really annoying!.
Comment 5 Matěj Cepl 2008-10-13 03:35:46 EDT
(In reply to comment #4)
> Ok, as requested in bug #465141 I posted a full backtrace with debugingo

But it was not requested from *YOU* -- would you please file your own bug about your problem with these backtraces as attachments.

Thank you.
Victor, I still wait for the response to my request in comment 1 from you.

Thank you
Comment 6 Joshua Covington 2008-10-18 13:42:26 EDT
I think I'm experiencing this, too. when trying to play some multimedia content firefox just crashes. what I get is:

/usr/lib/firefox-3.0.2/run-mozilla.sh: line 131:  3818 Segmentation fault      "$prog" ${1+"$@"}
/usr/lib/firefox-3.0.2/run-mozilla.sh: line 131:  3861 Segmentation fault      "$prog" ${1+"$@"}
/usr/lib/firefox-3.0.2/run-mozilla.sh: line 131:  3910 Segmentation fault      "$prog" ${1+"$@"}

Sites where this happens:
ffh.de -> webradio (right corner) -> 128 kbps
radioitalia.de -> webradio
and other direct tv sites. I don't think this is a codec problem because I have the necessary codecs. Not flash elated either.
Comment 7 Joshua Covington 2008-10-20 03:40:30 EDT
I figured out that the xine-plugin was causing the crash in my case. I installed mplayerplug-in 3.55 and everything is fine. The multimedia sites from above play correctly.
Comment 8 Martin Stransky 2008-10-29 06:31:58 EDT
Looks like a duplicate of Bug 466786 - crash in __libc_res_nquery

*** This bug has been marked as a duplicate of bug 466786 ***

Note You need to log in before you can comment on or make changes to this bug.